#include "syscalls.h"

static void puts (char *s) {
  while (*s) {
    BoardWrite(*s);
    s += 1;
  }
}

int main (int argc, char **argv) {
  if (argc < 2) {
    puts("usage: start <exe>\r\n");
    return 1;
  }
  int pid = StartApp(2, "", ENC_UTF8, argv[1]);
  if (pid < 0) {
    puts("failed to start app\r\n");
  }
  return 0;
}
